<?php

namespace Drupal\paragraphs_clipboard\Plugin\Field\FieldWidget;

use Drupal\Core\Form\FormStateInterface;
use Drupal\paragraphs\Plugin\Field\FieldWidget\ParagraphsWidget;

/**
 * Extends the ParagraphsWidget class to add custom functionality.
 */
class ParagraphsClipboardWidget extends ParagraphsWidget {

  /**
   * Prepares the widget state to add a new paragraph at a specific position.
   *
   * @param array $widget_state
   *   Widget state as reference, so that it can be updated.
   * @param \Drupal\Core\Form\FormStateInterface $form_state
   *   Form state.
   * @param array $field_path
   *   Path to paragraph field.
   * @param int|mixed $new_delta
   *   Delta position in list of paragraphs, where new paragraph will be added.
   */
  public static function prepareDeltaPosition(array &$widget_state, FormStateInterface $form_state, array $field_path, $new_delta) {
    parent::prepareDeltaPosition($widget_state, $form_state, $field_path, $new_delta);
  }

}
